C3DLandmark Class Reference
Basic data strctures and functions

a named 3D landmark More...

`#include <mia/3d/landmark.hh>`

## Public Types

typedef std::shared_ptr< C3DLandmark > | Pointer
| Shared pointer type of the landmark.

## Public Member Functions

| C3DLandmark (const C3DLandmark &other)=default
| Standard copy constructor.
| C3DLandmark (const std::string &name)
| C3DLandmark (const std::string &name, const C3DFVector &location)
float | get_isovalue () const
const C3DFVector & | get_location () const
const std::string & | get_name () const
P2DImage | get_picture (const boost::filesystem::path &root_path) const
const std::string & | get_picture_file () const
const C3DCamera & | get_view () const
bool | has_location () const
void | print (std::ostream &os) const
void | set_isovalue (float value)
void | set_location (const C3DFVector &pos)
void | set_picture_file (const std::string &picfile)
void | set_view (const C3DCamera &view)

## Detailed Description

a named 3D landmark

This class provides the basis for named a 3D landmark

Definition at line 47 of file landmark.hh.

## Member Typedef Documentation

## Pointer

typedef std::shared_ptr<C3DLandmark> C3DLandmark::Pointer

Shared pointer type of the landmark.

Definition at line 52 of file landmark.hh.

## Constructor & Destructor Documentation

## C3DLandmark() [1/3]

C3DLandmark::C3DLandmark | ( | const std::string & | name,
|  | const C3DFVector & | location )

constructor to initialize the landmark.

Parameters

  name | Landmark identifier
  location | 3D coordinate of the landmark

Referenced by C3DLandmark().

## C3DLandmark() [2/3]

C3DLandmark::C3DLandmark | ( | const std::string & | name | ) |

constructor to initialize the landmark.

Parameters

  name | Landmark identifier

## C3DLandmark() [3/3]

C3DLandmark::C3DLandmark | ( | const C3DLandmark & | other | ) |

default

Standard copy constructor.

References C3DLandmark().

## Member Function Documentation

## get_isovalue()

float C3DLandmark::get_isovalue | ( |  | ) | const

Returns
  the intensity value expected for this landmark

## get_location()

const C3DFVector & C3DLandmark::get_location | ( |  | ) | const

Returns
  the location of the landmark

## get_name()

const std::string & C3DLandmark::get_name | ( |  | ) | const

Returns
  the identifier of the landmark

## get_picture()

P2DImage C3DLandmark::get_picture | ( | const boost::filesystem::path & | root_path | ) | const

Get the picture illustrating the landmark. If no file name is given in the landmark, then an empty

Parameters

  root_path | root path for the landmark set, the picture is stored relative to this path

Returns
  the picture - if available, otherwise returns an empty pointer

## get_picture_file()

const std::string & C3DLandmark::get_picture_file | ( |  | ) | const

Returns
  the file name of the picture illustrating the landmark

## get_view()

const C3DCamera & C3DLandmark::get_view | ( |  | ) | const

Returns
  the view camera

## has_location()

bool C3DLandmark::has_location | ( |  | ) | const

Returns
  true if the location of the landmark is set

## print()

void C3DLandmark::print | ( | std::ostream & | os | ) | const

Referenced by operator<<().

## set_isovalue()

void C3DLandmark::set_isovalue | ( | float | value | ) |

set the intensity value that correspondts to this landmark

Parameters

  value |

## set_location()

void C3DLandmark::set_location | ( | const C3DFVector & | pos | ) |

(Re-)set the location of the landmark

Parameters

  pos | new location

## set_picture_file()

void C3DLandmark::set_picture_file | ( | const std::string & | picfile | ) |

set picture file name

Parameters

  picfile |

## set_view()

void C3DLandmark::set_view | ( | const C3DCamera & | view | ) |

set view

Parameters

  view |

The documentation for this class was generated from the following file:

- landmark.hh